function [info, present] = dataset_igemssurfaces()

   [info, present] = datasetInfoStruct(...
       'name', 'IGEMS surfaces', ...
       'website', 'https://www.nr.no/IGEMS/', ...
       'fileurl', 'http://files.nr.no/igems/surfaces.zip', ...
       'hasGrid', true, ...
       'hasRock', false, ...
       'cells', 180000, ...
       'examples', {'co2lab:showIGEMS', ...
                    'co2lab:trapsIGEMS', ...
                    'co2lab:fillTreeIGEMS', ...
                    'co2lab:showTrapsInteractively'}, ...
       'filesize', 600, ...
       'description', [...
           'Surfaces generated in the IGEMS project to study the impact of ' ...
           'caprock shape on CO2 migration using geologically realistic ' ...
           'models.  NB: This is a large dataset (600 Mb) containing 15 ' ...
           'different models with 100 realizations each.'], ... 
       'modelType', 'Surface');
end
